Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 5 de 5

Tema: libgtk-x11-2.0.so.0

  1. #1
    JuanJ Invitado

    Post libgtk-x11-2.0.so.0

    El problema con Firefox y Thunderbird es el mismo que tengo ahora para ejecutar Synaptic.
    Este es el mensaje que da la Konsole al tratar de ejcutar cualquiera de estos programas.

    Sobremesa:~ # /usr/sbin/synaptic
    /usr/sbin/synaptic: error while loading shared libraries: /opt/gnome/lib/libgtk-x11-2.0.so.0: undefined symbol: g_type_class_add_private


    ¿Como se puede superar este problema?

  2. #2
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Hola

    Pues como ya te puse en el otro post parece ser algún problema con las librerías, de algún paquete que no tengas actualizado y cree conflicto con otro, pero a saber cuál es exactamente

    Comprueba qué versiones tienes instaladas de estos 2 paquetes:

    carlos:~ # rpm -q gtk2 glib2
    gtk2-2.4.7-0.gbv.1
    glib2-2.4.6-0.gbv.1

    Aunque el gtk creo que era la misma, pero asegúrate de la otra también

    Si en los 2 paquetes tienes esa misma versión puedes probar a ejecutar por la consola:

    apt-get update

    para que te actualice la información de los servidores, y luego:

    apt-get upgrade

    pero no hace falta que hagas la actualización, cuando te pregunte le dices que no, pero miras todo lo que te sale para poder actualizar y si eso lo pones por aquí, a ver si por ahí podemos ver de donde viene el fallo. Eso es exactamente lo mismo que haces con synaptic pero usando directamente el comando apt-get

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  3. #3
    JuanJ Invitado
    Esto es lo que pone:
    Se actualizarán los siguientes paquetes
    OpenOffice_org docbook_4 gdm glib2 glibc-devel gnome-panel-devel gnome-terminal gnome-themes imlib imlib-devel kdenetwork3-InstantMessenger kdetv
    kdeutils3-laptop kernel-default libart_lgpl libdvdnav libglade2 libgnome libgpg-error metacity nvtv postfix sane synaptic taglib udev v4l-conf
    xine-devel xsane zlib
    Se han manetenido los siguientes paquetes
    gnome-icon-theme gnome-panel
    30 upgraded, 0 newly installed, 0 removed and 2 not upgraded.
    Need to get 112MB/117MB of archives.
    After unpacking 2223kB disk space will be freed
    .
    Parece que no tien nada que ver con el archivo en si.

  4. #4
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Pues yo actualizaría todo lo que tuviera algo que ver con librerías gráficas, por ejemplo de las que pones:

    libglade2, libgnome, glib2, glibc-devel, gnome-themes, libart_lgpl

    y no se si me dejo alguna

    Aunque lo ideal es siempre actualizarlo todo. Lo que sean programas (como el OpenOffice que te sale) o la actualización del núcleo (kernel_default) no haría falta, pero el resto de cosas sí puede ser conveniente

    También fíjate que hay 2 paquetes que te pone que ha mantenido y no actualiza. Eso se debe a que tendría que instalar algún paquete adicional para poder actualizarlos, cosa que por defecto no hace el apt. Puedes probar también a poner apt-get dist-upgrade, aunque luego también le digas que no siga con la actualización, sólo para comprobar qué cosas nuevas te dice que tiene que instalar y si intenta eliminar algún paquete, esa información también puede ser interesante

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  5. #5
    JuanJ Invitado
    Bueno ya me he cansado y he vuelto a reinstalar todo.
    Pero por ahora no pienso actualizar al KDE 3.3, de momento me quedo con el 3.2.
    De todas formas muchas gracias

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •